## ruby-rack1.4 1.4.5

=== debian/changelog ===
ruby-rack1.4 (1.4.5-1) unstable; urgency=low

  * New upstream version.
  * Reintroduce rack 1.4 into unstable, for the benefit of
    Rails 3.2 (and by extension, Redmine).
  * Remove upstream-applied security patches:
    * 0001-Fix-parsing-performance-for-unquoted-filenames.patch
    * 0002-multipart-parser-avoid-unbounded-gets-method.patch
    * 0003-Reimplement-auth-scheme-fix.patch
    * 0004-Prevent-symlink-path-traversals.patch
    * 0005-Use-secure_compare-for-hmac-comparison.patch
  * Add patch fixing test failure on Ruby 2.0 (from Rack 1.5)

 -- Christian Hofstaedtler <zeha@debian.org>  Mon, 28 Oct 2013 18:06:01 +0100

ruby-rack (1.4.1-2.1) unstable; urgency=high

  [ KURASHIKI Satoru ]
  * Non-maintainer upload.
  * Create cherry-picked patches for Security Fix (Closes: #700173 #700226).
    - CVE-2013-0262: 0004-Prevent-symlink-path-traversals.patch
    - CVE-2013-0263: 0005-Use-secure_compare-for-hmac-comparison.patch

  [ Youhei SASAKI ]
  * Create cherry-picked patches for Security Fix (Closes: #698440).
    - CVE-2012-6109: 0001-Fix-parsing-performance-for-unquoted-filenames.patch
    - CVE-2013-0183: 0002-multipart-parser-avoid-unbounded-gets-method.patch
    - CVE-2013-0184: 0003-Reimplement-auth-scheme-fix.patch

 -- KURASHIKI Satoru <lurdan@gmail.com>  Wed, 20 Feb 2013 20:56:31 +0900

ruby-rack (1.4.1-2) unstable; urgency=low

  * Bump build dependency on gem2deb to >= 0.3.0~

 -- Antonio Terceiro <terceiro@debian.org>  Mon, 25 Jun 2012 15:07:51 -0300

ruby-rack (1.4.1-1) unstable; urgency=low

  * New Upstream version 1.4.1
  * Bump standard version: 3.9.3
  * Add Build-Depends: rake, bacon, ruby-memcache-client, thin
  * Add d/s/local-options: Update patch handling
  * Update ruby-tests.rb to ruby-tests.rake: running full test

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 07 Mar 2012 01:00:16 +0900

ruby-rack (1.4.0-1) unstable; urgency=low

  * New upstream release (closes: #653963).

 -- Paul van Tilburg <paulvt@debian.org>  Tue, 03 Jan 2012 22:39:13 +0100

ruby-rack (1.3.5-1) unstable; urgency=low

  * New upstream release.
  * Fix my email address.
  * Fix priority of transitional packages.
  * TESTS ARE DISABLED: many dependencies required for tests are not
    packaged yet.

 -- Lucas Nussbaum <lucas@debian.org>  Wed, 21 Dec 2011 10:52:37 +0100

ruby-rack (1.3.1-1) unstable; urgency=low

  * New upstream release: 1.3.1
  * Bump Standard version: 3.9.2
  * Add me to Uploaders
  * Add ruby-bacon to Build-Depends
  * Add manpage for rackup Closes: #606910
    - Thanks to Glido Fiorito <fiorito.g@gmail.com>

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 26 Jul 2011 00:57:23 +0900

ruby-rack (1.2.2-2) unstable; urgency=low

  * Add transitional packages from librack-ruby.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Tue, 26 Apr 2011 16:34:08 +0200

ruby-rack (1.2.2-1) unstable; urgency=low

  * Switch to gem2deb-based packaging. Rename source and binary package.
  * libopenssl-ruby was merged in the main ruby package. Closes: #574960
    Closes: #592416.
  * new upstream release.
  * TESTS ARE DISABLED: many dependencies required for tests are not
    packaged yet.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Tue, 26 Apr 2011 15:44:15 +0200

librack-ruby (1.1.0-4) unstable; urgency=low

  * Team upload.
  * This package is now maintained within the Debian/Ruby Extras team.
  * debian/control: 
    - Added the team (and myself) to the uploaders.
    - Updated the Vcs-* fields.
  * Version the dependency between librack-ruby and librack-ruby1.8.
    Closes: #583553
  * Rename the 1.9.1 binary to rackup1.9.1

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 18 Sep 2010 08:31:46 +0200

librack-ruby (1.1.0-3) unstable; urgency=low

  * adopt package
  * add Conflicts/Replaces from librack-ruby1.9.1 to librack-ruby1.9
    because of /usr/bin/rackup1.9 (Closes: #570435)

 -- Ryan Niebur <ryan@debian.org>  Sat, 13 Mar 2010 12:14:56 -0800

librack-ruby (1.1.0-2) unstable; urgency=low

  * Move to ruby1.9.1 (Closes: #569884).
  * Removed unused lintian override.
  * Bumped up Standards-Version.
  
 -- Sebastien Delafond <seb@debian.org>  Mon, 15 Feb 2010 19:42:49 +0100

librack-ruby (1.1.0-1) unstable; urgency=low

  * New upstream release.

 -- Sebastien Delafond <seb@debian.org>  Fri, 08 Jan 2010 18:50:25 +0100

librack-ruby (1.0.1-1) unstable; urgency=low

  * New upstream release.
  * Bumped up Standards revision.
  * Moved to CDBS.
  * Lintian cleanups.

 -- Sebastien Delafond <seb@debian.org>  Wed, 21 Oct 2009 11:36:29 +0200

librack-ruby (1.0.0-1) unstable; urgency=low

  * New upstream release.
  * Added debian/watch file.
  * Bumped up Standards version to 3.8.1.
  * BUmped up debhelper compat level to 6.
  * Moved to section "ruby".
  * Added proper versioned dependency on debhelper (for dh_lintian).
  * Updated short description for librack-ruby1.8.

 -- Sebastien Delafond <seb@debian.org>  Tue, 28 Apr 2009 02:14:00 -0700

librack-ruby (0.9.1-1) unstable; urgency=low

  * New upstream release (Closes: #516855).

 -- Sebastien Delafond <seb@debian.org>  Mon, 23 Feb 2009 19:29:20 -0800

librack-ruby (0.3.0-2) unstable; urgency=low

  * Corrected short description for librack-ruby1.8

 -- Sebastien Delafond <seb@debian.org>  Wed, 07 May 2008 14:13:26 -0700

librack-ruby (0.3.0-1) unstable; urgency=low

  * Initial Release (Closes: #480035).

 -- Sebastien Delafond <seb@debian.org>  Wed, 07 May 2008 11:28:30 -0700
