=== debian/control ===
Source: ruby-rack1.4
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Christian Hofstaedtler <zeha@debian.org>
Build-Depends: debhelper (>= 7.0.50~), gem2deb (>= 0.3.0~), rake, ruby-bacon, ruby-memcache-client, thin
Standards-Version: 3.9.4
Vcs-Git: git://anonscm.debian.org/pkg-ruby-extras/ruby-rack1.4.git
Vcs-Browser: http://anonscm.debian.org/gitweb?p=pkg-ruby-extras/ruby-rack1.4.git;a=summary
Homepage: http://rack.rubyforge.org
XS-Ruby-Versions: all

Package: ruby-rack1.4
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends}, ${misc:Depends}, ruby | ruby-interpreter
Conflicts: ruby-rack
Provides: ruby-rack
Description: Modular Ruby webserver interface
 Rack provides a minimal, modular and adaptable interface for
 developing web applications in Ruby.  By wrapping HTTP requests and
 responses in the simplest way possible, it unifies and distills the
 API for web servers, web frameworks, and software in between (the
 so-called middleware) into a single method call.
 .
 The exact details of this are described in the Rack specification,
 which all Rack applications should conform to.
